package com.yunniu.farming.result;

public enum CommonEnum implements BaseError {

    // 数据操作错误定义
    SUCCESS("100", "成功!"),
    BODY_NOT_MATCH("400", "错误!"),
    Token_NOT_MATCH("101", "token验证错误!"),
    Params_ERROR("102", "参数错误!"),
    //    SIGNATURE_NOT_MATCH("401", "请求的数字签名不匹配!"),
//    NOT_FOUND("404", "未找到该资源!"),
    INTERNAL_SERVER_ERROR("103", "发生错误!"),
    // SERVER_BUSY("503", "服务器正忙，请稍后再试!"),
    REQUEST_METHOD_SUPPORT_ERROR("40001", "当前请求方法不支持");
    /**
     * 错误码
     */
    private String resultCode;
    /**
     * 错误描述
     */
    private String resultMsg;

    CommonEnum(String resultCode, String resultMsg) {
        this.resultCode = resultCode;
        this.resultMsg = resultMsg;
    }

    @Override
    public String getResultCode() {
        return resultCode;
    }

    @Override
    public String getResultMsg() {
        return resultMsg;
    }

}
